Package com.io7m.idstore.database.postgres.internal

# Class Keys

java.lang.Object
com.io7m.idstore.database.postgres.internal.Keys

public class Keys extends Object
A class modelling foreign key relationships and constraints of tables in the default schema.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final org.jooq.UniqueKey<SchemaVersionRecord>`
  `CHECK_LOCK_PRIMARY`
  `static final org.jooq.UniqueKey<UserIdsRecord>`
  `CONSTRAINT_1`
  `static final org.jooq.UniqueKey<BansRecord>`
  `CONSTRAINT_1E`
  `static final org.jooq.ForeignKey<BansRecord,UserIdsRecord>`
  `CONSTRAINT_1EF`
  `static final org.jooq.UniqueKey<AuditRecord>`
  `CONSTRAINT_3`
  `static final org.jooq.ForeignKey<AuditRecord,UserIdsRecord>`
  `CONSTRAINT_3B`
  `static final org.jooq.ForeignKey<LoginHistoryRecord,UserIdsRecord>`
  `CONSTRAINT_3E`
  `static final org.jooq.UniqueKey<UsersRecord>`
  `CONSTRAINT_4`
  `static final org.jooq.UniqueKey<UsersRecord>`
  `CONSTRAINT_4D`
  `static final org.jooq.ForeignKey<UsersRecord,UserIdsRecord>`
  `CONSTRAINT_4D4`
  `static final org.jooq.UniqueKey<AdminsRecord>`
  `CONSTRAINT_7`
  `static final org.jooq.UniqueKey<AdminsRecord>`
  `CONSTRAINT_72`
  `static final org.jooq.ForeignKey<AdminsRecord,UserIdsRecord>`
  `CONSTRAINT_72C`
  `static final org.jooq.ForeignKey<EmailsRecord,UsersRecord>`
  `CONSTRAINT_7A`
  `static final org.jooq.ForeignKey<EmailsRecord,AdminsRecord>`
  `CONSTRAINT_7A1`
  `static final org.jooq.UniqueKey<UserPasswordResetsRecord>`
  `CONSTRAINT_A`
  `static final org.jooq.ForeignKey<UserPasswordResetsRecord,UsersRecord>`
  `CONSTRAINT_A2`
  `static final org.jooq.UniqueKey<EmailVerificationsRecord>`
  `CONSTRAINT_D`
  `static final org.jooq.UniqueKey<EmailVerificationsRecord>`
  `CONSTRAINT_DD`
  `static final org.jooq.ForeignKey<EmailVerificationsRecord,UserIdsRecord>`
  `CONSTRAINT_DDE`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Keys()`

- ## Method Summary

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### CONSTRAINT_7

    public static final org.jooq.UniqueKey<AdminsRecord> CONSTRAINT_7

  - ### CONSTRAINT_72

    public static final org.jooq.UniqueKey<AdminsRecord> CONSTRAINT_72

  - ### CONSTRAINT_3

    public static final org.jooq.UniqueKey<AuditRecord> CONSTRAINT_3

  - ### CONSTRAINT_1E

    public static final org.jooq.UniqueKey<BansRecord> CONSTRAINT_1E

  - ### CONSTRAINT_D

    public static final org.jooq.UniqueKey<EmailVerificationsRecord> CONSTRAINT_D

  - ### CONSTRAINT_DD

    public static final org.jooq.UniqueKey<EmailVerificationsRecord> CONSTRAINT_DD

  - ### CHECK_LOCK_PRIMARY

    public static final org.jooq.UniqueKey<SchemaVersionRecord> CHECK_LOCK_PRIMARY

  - ### CONSTRAINT_1

    public static final org.jooq.UniqueKey<UserIdsRecord> CONSTRAINT_1

  - ### CONSTRAINT_A

    public static final org.jooq.UniqueKey<UserPasswordResetsRecord> CONSTRAINT_A

  - ### CONSTRAINT_4

    public static final org.jooq.UniqueKey<UsersRecord> CONSTRAINT_4

  - ### CONSTRAINT_4D

    public static final org.jooq.UniqueKey<UsersRecord> CONSTRAINT_4D

  - ### CONSTRAINT_72C

    public static final org.jooq.ForeignKey<AdminsRecord,UserIdsRecord> CONSTRAINT_72C

  - ### CONSTRAINT_3B

    public static final org.jooq.ForeignKey<AuditRecord,UserIdsRecord> CONSTRAINT_3B

  - ### CONSTRAINT_1EF

    public static final org.jooq.ForeignKey<BansRecord,UserIdsRecord> CONSTRAINT_1EF

  - ### CONSTRAINT_DDE

    public static final org.jooq.ForeignKey<EmailVerificationsRecord,UserIdsRecord> CONSTRAINT_DDE

  - ### CONSTRAINT_7A

    public static final org.jooq.ForeignKey<EmailsRecord,UsersRecord> CONSTRAINT_7A

  - ### CONSTRAINT_7A1

    public static final org.jooq.ForeignKey<EmailsRecord,AdminsRecord> CONSTRAINT_7A1

  - ### CONSTRAINT_3E

    public static final org.jooq.ForeignKey<LoginHistoryRecord,UserIdsRecord> CONSTRAINT_3E

  - ### CONSTRAINT_A2

    public static final org.jooq.ForeignKey<UserPasswordResetsRecord,UsersRecord> CONSTRAINT_A2

  - ### CONSTRAINT_4D4

    public static final org.jooq.ForeignKey<UsersRecord,UserIdsRecord> CONSTRAINT_4D4

- ## Constructor Details

  - ### Keys

    public Keys()